Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21293
Description

It seems that the option "Use estimated data" in pg connection is ignored.

Qgis always use st_extent instead() of st_estimated_extent() when a new layer is loaded from PG.
It worked fine in 2.6.

Tested on 2.8 and 2.10

History

#1 - 2015-08-19 04:42 PM - Jiirgen Fischer

Are there stats for the tables in question (see pg_stats)? QGIS only uses st_estimated_extent on analyzed tables.

#2 - 2015-08-20 01:31 AM - Luca Lanteri
I've done some other tests. The problem seems to be that | use INHERITS table. Pg_stats is correctly used for the child table but when | load the data from

parent table they're ignored.

#3 - 2015-12-15 03:23 AM - Alessandro Pasotti
- Status changed from Open to Closed

This is not a bug in QGIS but in POstGIS, hopefully fixed upstream:

https://github.com/postgis/postgis/commit/92865ad6b0b3501a29e1575¢c9ef9ab89f23013a6
